it.csi.mddtools.guigen

## Interface PanelLayout

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    GridPanelLayout, HorizontalFlowPanelLayout, UDLRCPanelLayout, VerticalFlowPanelLayout

      public interface PanelLayout
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Panel Layout'. superclasse di tutte le classi che definiscono un particolare layout

  The following features are supported:

  - `Column Sizes`
  See Also:
    `GuigenPackage.getPanelLayout()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnSizes()` Returns the value of the 'Column Sizes' attribute
    `void` | `setColumnSizes(java.lang.String value)` Sets the value of the '`Column Sizes`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getColumnSizes

          java.lang.String getColumnSizes()

      Returns the value of the 'Column Sizes' attribute.

      If the meaning of the 'Column Sizes' attribute isn't clear, there really should be more of a description here...

      impostazione percentuale della dimensione delle colonne. Varia a seconda del particolare tipo di layout. Per ogni colonna logica (destinata a contenere un widget composto da label+controllo) è necessario impostare due valori separati da virgola: i valori in posizione dispari (1,3,...) determinano la percentuale da assegnare alla label, mentre i valori in posizione pari (2,4,...) determinano la percentuale da assegnare al controllo vero e proprio. Es: per un GridLayout di 2 colonne una possibile impostazione è: "20,30,25,25", che equivale ad una occupazone delle due colonne logiche del 50% dello spazio e, all'intenro della prima colonna logica il 20% dello spazio sarà assegnato alla label mentre il restante 30% sarà assegnato al controllo.
      Returns:
        the value of the 'Column Sizes' attribute.
      See Also:
        `setColumnSizes(String)`, `GuigenPackage.getPanelLayout_ColumnSizes()`

    - #### setColumnSizes

          void setColumnSizes(java.lang.String value)

      Sets the value of the '`Column Sizes`' attribute.
      Parameters:
        `value` - the new value of the 'Column Sizes' attribute.
      See Also:
        `getColumnSizes()`